petsc-3.10.5 2019-03-28
Report Typos and Errors

# PCRedundantSetScatter

Sets the scatter used to copy values into the redundant local solve and the scatter to move them back into the global vector.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PCRedundantSetScatter(PC pc,VecScatter in,VecScatter out)

Logically Collective on PC

### Input Parameters

| pc | - the preconditioner context
| in | - the scatter to move the values in
| out | - the scatter to move them out

### Keywords

PC, redundant solve

### Level

advanced

### Location

src/ksp/pc/impls/redundant/redundant.c

### Implementations

PCRedundantSetScatter_Redundant in src/ksp/pc/impls/redundant/redundant.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages